Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
layman overlays wie funktioniert das?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
temnozor
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jul 2008
Posts: 121
Location: Germany

PostPosted: Tue Nov 02, 2010 6:41 pm    Post subject: layman overlays wie funktioniert das? Reply with quote

Nun ich wollte mal etwas aus einem layman overlay probieren aber komm mit den howto's absolut nicht zurecht

layman ist emerged

in meiner make.conf ist

Code:
source /var/lib/layman/make.conf


emthalten

die /etc/layman/layman.conf verweist dort auch hin

Code:
storage   : /var/lib/layman


das overlay wurde per layman -a overlay erfolgreich hinzugefügt und wird auch per layman -l gelistet

jetzt mein entscheidenes Problem.....

wie emerge ich den Kram?

Denn auch nach emerge --sync finde ich nix zum emergen

im konkreten fall handelt es sich um das gnome-live overlay
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Tue Nov 02, 2010 6:49 pm    Post subject: Reply with quote

Was meinst du du findest nichts? Wie hast du das festgestellt?
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
temnozor
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jul 2008
Posts: 121
Location: Germany

PostPosted: Tue Nov 02, 2010 6:59 pm    Post subject: Reply with quote

indem ich gnome desktop unmaskiert habe und das ausgespuckt wird

Code:

emerge gnome-desktop
Calculating dependencies... done!

emerge: there are no ebuilds to satisfy ">=gnome-base/gnome-desktop-2.31:0".
(dependency required by "gnome-base/gnome-desktop-2.91.0" [ebuild])
(dependency required by "gnome-desktop" [argument])


gnome-desktop 2.91 hat ne dependency gnome-desktop >2.31 was es nicht gibt

emerged ist derzeit gnome-desktop 2.30.2 (also was offiziell in portage unmaskiert ist)
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Tue Nov 02, 2010 7:09 pm    Post subject: Reply with quote

existiert die /var/lib/layman/make.conf überhaupt und wenn ja was steht in dieser?
EDIT: im gnome-live overlay gibt es kein ebuild für gnome-desktop.

Falls du gnome-desktop 2.32.0 installieren möchtest, dann geht das auch ohne overlay. Diese version ist im portage tree enthalten, wenn auch hard masked.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.


Last edited by firefly on Tue Nov 02, 2010 7:12 pm; edited 1 time in total
Back to top
View user's profile Send private message
temnozor
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jul 2008
Posts: 121
Location: Germany

PostPosted: Tue Nov 02, 2010 7:11 pm    Post subject: Reply with quote

ja existiert

Code:

PORTDIR_OVERLAY="
/var/lib/layman/gnome-live
/var/lib/layman/gnome
$PORTDIR_OVERLAY
"


das steht drin (geändert hab ich nix)

PORTDIR_OVERLAY existiert in meiner /etc/make.conf nicht da ich kein lokales overlay führe

firefly wrote:

EDIT: im gnome-live overlay gibt es kein ebuild für gnome-desktop.

Falls du gnome-desktop 2.32.0 installieren möchtest, dann geht das auch ohne overlay. Diese version ist im portage tree enthalten, wenn auch hard masked.


ja das ist mir gerade auch aufgefallen aber den gibts im gnome overlay
ich hab dann mal den gnome-desktop 2.32.0 unmaskiert und emerged aber

Code:
~ # emerge =gnome-base/gnome-desktop-2.91.0
Calculating dependencies... done!

emerge: there are no ebuilds to satisfy ">=gnome-base/gnome-desktop-2.31:0".
(dependency required by "gnome-base/gnome-desktop-2.91.0" [ebuild])
(dependency required by "=gnome-base/gnome-desktop-2.91.0" [argument])


wtf das stimmt doch nicht ich hab gerade gnome-desktop-2.32.0 emergen können

btw: wie listet man sich alle maskierten versionen auf ohne im portage verzeichnis händisch nachzugucken?
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Tue Nov 02, 2010 7:40 pm    Post subject: Reply with quote

du kannst dir alle versionen eines paketes für das es ebuilds gibt z.b. über eix anzeigen lassen.

Code:
emerge eix
eix-update


und dann mit eix <suchtext> kannst du nach paketen suchen z.b. gnome-desktop
Code:
eix genome-desktop

* dev-dotnet/gnome-desktop-sharp
     Available versions:  (2) 2.26.0!t 2.26.0-r1!t
   {debug}
     Homepage:            http://www.mono-project.com/GtkSharp
     Description:         GtkSharp's gnome-desktop module of the gnome-desktop-sharp tarball

* dev-python/gnome-desktop-python
     Available versions:  2.28.0!t 2.30.2!t
     Homepage:            http://pygtk.org/
     Description:         Python bindings for some GNOME desktop libraries

* gnome-base/gnome-desktop
     Available versions:  2.28.2-r1 2.30.2 [M]~2.32.0 {debug doc}
     Homepage:            http://www.gnome.org/
     Description:         Libraries for the gnome desktop that are not part of the UI

_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum